librevenge::RVNGTextSpreadsheetGeneratorImpl Struct Reference documentation

librevenge::RVNGTextSpreadsheetGeneratorImpl Struct Reference

## Public Member Functions
| RVNGTextSpreadsheetGeneratorImpl (RVNGStringVector &sheets, bool isInfo)

## Public Attributes
RVNGStringVector & | m_sheets
| list of final string corresponding to each sheet
std::ostringstream | m_stream
| the file stream
std::ostringstream | m_rowStream
| the actual row stream
std::ostringstream | m_cellStream
| the actual cell stream
int | m_numRowRepeated
| the number of repetition of the actual row
int | m_numCellRepeated
| the number of repetition of the actual cell
int | m_numCellToSkip
| the number of empty cell which follow current cell
int | m_column
| the current column
int | m_row
int | m_numColumnsInRow
| the number of column written in the current row
bool | m_isInfo
| if set, do not generate output
int | m_sheetLevel
| the number of opened sheet, to avoid recursion

## Constructor & Destructor Documentation

## ◆ RVNGTextSpreadsheetGeneratorImpl()

librevenge::RVNGTextSpreadsheetGeneratorImpl::RVNGTextSpreadsheetGeneratorImpl | ( | RVNGStringVector & | sheets,
|  | bool | isInfo )
| explicit

## Member Data Documentation

## ◆ m_cellStream

std::ostringstream librevenge::RVNGTextSpreadsheetGeneratorImpl::m_cellStream

the actual cell stream

Referenced by RVNGTextSpreadsheetGeneratorImpl().

## ◆ m_column

int librevenge::RVNGTextSpreadsheetGeneratorImpl::m_column

the current column

Referenced by RVNGTextSpreadsheetGeneratorImpl().

## ◆ m_isInfo

bool librevenge::RVNGTextSpreadsheetGeneratorImpl::m_isInfo

if set, do not generate output

Referenced by RVNGTextSpreadsheetGeneratorImpl().

## ◆ m_numCellRepeated

int librevenge::RVNGTextSpreadsheetGeneratorImpl::m_numCellRepeated

the number of repetition of the actual cell

Referenced by RVNGTextSpreadsheetGeneratorImpl().

## ◆ m_numCellToSkip

int librevenge::RVNGTextSpreadsheetGeneratorImpl::m_numCellToSkip

the number of empty cell which follow current cell

Referenced by RVNGTextSpreadsheetGeneratorImpl().

## ◆ m_numColumnsInRow

int librevenge::RVNGTextSpreadsheetGeneratorImpl::m_numColumnsInRow

the number of column written in the current row

Referenced by RVNGTextSpreadsheetGeneratorImpl().

## ◆ m_numRowRepeated

int librevenge::RVNGTextSpreadsheetGeneratorImpl::m_numRowRepeated

the number of repetition of the actual row

Referenced by RVNGTextSpreadsheetGeneratorImpl().

## ◆ m_row

int librevenge::RVNGTextSpreadsheetGeneratorImpl::m_row

Referenced by RVNGTextSpreadsheetGeneratorImpl().

## ◆ m_rowStream

std::ostringstream librevenge::RVNGTextSpreadsheetGeneratorImpl::m_rowStream

the actual row stream

Referenced by RVNGTextSpreadsheetGeneratorImpl().

## ◆ m_sheetLevel

int librevenge::RVNGTextSpreadsheetGeneratorImpl::m_sheetLevel

the number of opened sheet, to avoid recursion

Referenced by RVNGTextSpreadsheetGeneratorImpl().

## ◆ m_sheets

RVNGStringVector& librevenge::RVNGTextSpreadsheetGeneratorImpl::m_sheets

list of final string corresponding to each sheet

Referenced by RVNGTextSpreadsheetGeneratorImpl().

## ◆ m_stream

std::ostringstream librevenge::RVNGTextSpreadsheetGeneratorImpl::m_stream

the file stream

Referenced by RVNGTextSpreadsheetGeneratorImpl().

The documentation for this struct was generated from the following file:

- RVNGTextSpreadsheetGenerator.cpp